from .download import download_zip
from pathlib import Path
down_path = Path(__file__).parent
xz_url = "addons_file"+"/"+down_path.name+"/"
download_zip(xz_url + "assets.zip",down_path)

import bpy
import sys
import os
from . import auto_load


bl_info = {
    "name": "Better Lighting",
    "author": "SHEEP",
    "version": (2, 1, 0),
    "blender": (3, 4, 0),
    "location": "View3D",
    "description": "A better way to light your scenes!",
    "warning": "",
    "wiki_url": "",
    "category": "Lighting",
}


auto_load.init()

current_file_path = os.path.abspath(__file__)


root_dir = os.path.dirname(os.path.dirname(current_file_path))


if root_dir not in sys.path:
    sys.path.append(root_dir)



def register():
    auto_load.register()


def unregister():
    auto_load.unregister()

if __name__ == "__main__":
    register()
